Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#766 closed defect (fixed)

__RTEMS_APPLICATION__

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.9
Component: score Version: unknown
Severity: major Keywords:
Cc: bugs@…, sebastian.huber@…, gedare@… Blocked By:
Blocking:

Description

I fail to see the usefulness of RTEMS_APPLICATION as it is being used in various places headers in RTEMS:
#ifndef RTEMS_APPLICATION
#include <some.inl>
#endif

Is this supposed to separate "private" vs. "public" parts of the headers? By default RTEMS_APPLICATION is undefined, so this doesn't work.

Is this supposed to separate "kernel" vs. "application"?
This also doesn't work, because all files referrenced are public.

Is this just code rott?

Yes, I know it is set in rtems/rtems.h:
#if (!defined(RTEMS_VIOLATE_KERNEL_VISIBILITY)) && (!defined(RTEMS_INSIDE))
#define RTEMS_APPLICATION
#endif

Release:
unknown

Change History (6)

comment:1 Changed on 09/01/05 at 13:50:24 by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on 08/05/08 at 15:07:45 by Joel Sherrill

Milestone: 4.9
rep_platform: All
Resolution: wontfix
Status: assignedclosed

comment:3 Changed on 08/08/08 at 04:16:42 by Ralf Corsepius

Resolution: wontfix
Status: closedreopened

comment:4 Changed on 11/22/12 at 15:39:48 by Sebastian Huber

Cc: Sebastian Huber added

comment:5 Changed on 11/26/12 at 16:33:36 by Gedare Bloom

Cc: Gedare Bloom added

comment:6 Changed on 12/03/13 at 15:22:28 by Gedare Bloom

Resolution: fixed
Status: reopenedclosed
Note: See TracTickets for help on using tickets.